-- MySQL dump 10.13  Distrib 8.0.29, for Linux (x86_64)
--
-- Host: localhost    Database: project
-- ------------------------------------------------------
-- Server version       8.0.29

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `Allergen`
--

DROP TABLE IF EXISTS `Allergen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `Allergen` (
  `AllergenID` int NOT NULL AUTO_INCREMENT,
  `Allergenbezeichnung` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`AllergenID`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Allergen`
--

LOCK TABLES `Allergen` WRITE;
/*!40000 ALTER TABLE `Allergen` DISABLE KEYS */;
INSERT INTO `Allergen` VALUES (1,'Glutenhaltiges Getreide'),(2,'Krebstiere'),(3,'Eier'),(4,'Fische'),(5,'Erdnuesse'),(6,'Sojabohnen'),(7,'Milch (einschl.'),(8,'Schalenfruechte'),(9,'Sellerie'),(10,'Senf'),(11,'Sesamsamen'),(12,'Schwefeldioxid und Sulphite'),(13,'Lupinen'),(14,'Weichtiere');
/*!40000 ALTER TABLE `Allergen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Allergie`
--

DROP TABLE IF EXISTS `Allergie`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `Allergie` (
  `PersonID` int NOT NULL,
  `AllergenID` int NOT NULL,
  PRIMARY KEY (`PersonID`,`AllergenID`),
  KEY `AllergenID` (`AllergenID`),
  CONSTRAINT `Allergie_ibfk_1` FOREIGN KEY (`PersonID`) REFERENCES `Person` (`PersonID`),
  CONSTRAINT `Allergie_ibfk_2` FOREIGN KEY (`AllergenID`) REFERENCES `Allergen` (`AllergenID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Allergie`
--

LOCK TABLES `Allergie` WRITE;
/*!40000 ALTER TABLE `Allergie` DISABLE KEYS */;
INSERT INTO `Allergie` VALUES (1,1),(1,5),(2,11);
/*!40000 ALTER TABLE `Allergie` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Menge`
--

DROP TABLE IF EXISTS `Menge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `Menge` (
  `MengenID` int NOT NULL AUTO_INCREMENT,
  `ProduktID` int DEFAULT NULL,
  `Menge` int DEFAULT NULL,
  `Einheit` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`MengenID`),
  KEY `ProduktID` (`ProduktID`),
  CONSTRAINT `Menge_ibfk_1` FOREIGN KEY (`ProduktID`) REFERENCES `Produkt` (`ProduktID`)
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Menge`
--

LOCK TABLES `Menge` WRITE;
/*!40000 ALTER TABLE `Menge` DISABLE KEYS */;
INSERT INTO `Menge` VALUES (1,1,85,'g'),(2,2,30,'g'),(3,3,25,'ml'),(4,4,211,'g'),(5,5,120,'g'),(6,6,330,'g'),(7,6,99,'g'),(8,6,149,'g'),(9,7,25,'ml'),(10,8,25,'ml'),(11,9,105,'g'),(12,10,250,'g'),(13,11,20,'ml'),(14,12,25,'g'),(15,13,25,'g'),(16,14,20,'ml'),(17,15,187,'g'),(18,16,95,'g'),(19,17,210,'g'),(20,18,160,'g'),(21,19,160,'g'),(22,20,300,'ml'),(23,20,500,'ml'),(24,21,240,'g'),(25,21,400,'g'),(26,22,240,'g'),(27,22,400,'g'),(28,23,152,'g'),(29,23,76,'g'),(30,23,108,'g'),(31,24,25,'ml'),(32,25,25,'ml');
/*!40000 ALTER TABLE `Menge` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Menu`
--

DROP TABLE IF EXISTS `Menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `Menu` (
  `MenuID` int NOT NULL AUTO_INCREMENT,
  `Menuname` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`MenuID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Menu`
--

LOCK TABLES `Menu` WRITE;
/*!40000 ALTER TABLE `Menu` DISABLE KEYS */;
INSERT INTO `Menu` VALUES (1,'Test Menu'),(2,'Test Menu #2'),(3,'Test Menu #3');
/*!40000 ALTER TABLE `Menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Menucontent`
--

DROP TABLE IF EXISTS `Menucontent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `Menucontent` (
  `MenuID` int NOT NULL,
  `ProduktID` int NOT NULL,
  PRIMARY KEY (`MenuID`,`ProduktID`),
  KEY `ProduktID` (`ProduktID`),
  CONSTRAINT `Menucontent_ibfk_1` FOREIGN KEY (`MenuID`) REFERENCES `Menu` (`MenuID`),
  CONSTRAINT `Menucontent_ibfk_2` FOREIGN KEY (`ProduktID`) REFERENCES `Produkt` (`ProduktID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Menucontent`
--

LOCK TABLES `Menucontent` WRITE;
/*!40000 ALTER TABLE `Menucontent` DISABLE KEYS */;
INSERT INTO `Menucontent` VALUES (2,4),(3,4),(2,5),(3,5),(1,8),(2,11),(3,18),(1,23),(1,32);
/*!40000 ALTER TABLE `Menucontent` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Naehrwerte`
--

DROP TABLE IF EXISTS `Naehrwerte`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `Naehrwerte` (
  `ProduktID` int NOT NULL,
  `Menge` int NOT NULL,
  `Einheit` varchar(100) NOT NULL,
  `Eiweiss` double DEFAULT NULL,
  `Kohlenhydrate` double DEFAULT NULL,
  `Fett` double DEFAULT NULL,
  `Brennwert` double DEFAULT NULL,
  PRIMARY KEY (`ProduktID`,`Menge`,`Einheit`),
  CONSTRAINT `Naehrwerte_ibfk_1` FOREIGN KEY (`ProduktID`) REFERENCES `Produkt` (`ProduktID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Naehrwerte`
--

LOCK TABLES `Naehrwerte` WRITE;
/*!40000 ALTER TABLE `Naehrwerte` DISABLE KEYS */;
INSERT INTO `Naehrwerte` VALUES (1,100,'g',3,32,15,276),(2,100,'g',0,12,7,111),(3,100,'ml',1,37,1,162),(4,100,'g',12,21,12,238),(5,100,'g',14,27,11,260),(6,100,'g',17,17,13,248),(7,100,'ml',1,53,1,224),(8,100,'ml',1,34,1,156),(9,100,'g',13,30,9,246),(10,100,'g',12,14,14,226),(11,100,'ml',1,28,0,122),(12,100,'g',0,63,0,257),(13,100,'g',0,61,0,252),(14,100,'ml',1,81,2,737),(15,100,'g',12,25,12,252),(16,100,'g',13,25,19,325),(17,100,'g',13,22,11,231),(18,100,'g',5,28,5,178),(19,100,'g',4,24,7,178),(21,100,'g',4,19,3,125),(22,100,'g',4,19,3,123),(23,100,'g',4,38,16,308),(24,100,'ml',0,40,1,172),(25,100,'ml',2,25,12,217),(32,100,'g',1,1,83,739);
/*!40000 ALTER TABLE `Naehrwerte` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Person`
--

DROP TABLE IF EXISTS `Person`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `Person` (
  `PersonID` int NOT NULL AUTO_INCREMENT,
  `Personenname` varchar(100) DEFAULT NULL,
  `Personenvorname` varchar(100) DEFAULT NULL,
  `Naehrwertziel` int DEFAULT NULL,
  `Ernaerungsstil` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`PersonID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Person`
--

LOCK TABLES `Person` WRITE;
/*!40000 ALTER TABLE `Person` DISABLE KEYS */;
INSERT INTO `Person` VALUES (1,'Kaiser','Florian',5000,NULL),(2,'Amtmann','Leon',10000,NULL),(3,'Mustermann','Max',15000,NULL);
/*!40000 ALTER TABLE `Person` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Produkt`
--

DROP TABLE IF EXISTS `Produkt`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `Produkt` (
  `ProduktID` int NOT NULL AUTO_INCREMENT,
  `Produktname` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`ProduktID`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Produkt`
--

LOCK TABLES `Produkt` WRITE;
/*!40000 ALTER TABLE `Produkt` DISABLE KEYS */;
INSERT INTO `Produkt` VALUES (1,'Apfeltasche'),(2,'Balsamico Dressing'),(3,'Barbecue Sauce'),(4,'Big Mac'),(5,'Cheeseburger'),(6,'Chicken McNuggets'),(7,'Chili Sauce'),(8,'Curry Sauce'),(9,'Hamburger'),(10,'Hamburger Royal TS'),(11,'Ketchup'),(12,'Konfituere Aprikose'),(13,'Konfituere Erdbeere'),(14,'Mayonnaise (80%)'),(15,'McChicken'),(16,'McCroissant'),(17,'McRib'),(18,'McSundae Karamell'),(19,'McSundae Schoko'),(20,'Milchshake Erdbeergeschmack'),(21,'Milchshake Schokogeschmack'),(22,'Milchshake Vanillegeschmack'),(23,'Pommes Frites'),(24,'Sauce suesssauer'),(25,'Senfsauce'),(32,'Butter'),(33,'Snack Salat Classic');
/*!40000 ALTER TABLE `Produkt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Zusatzstoff`
--

DROP TABLE IF EXISTS `Zusatzstoff`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `Zusatzstoff` (
  `E_Nummer` varchar(5) NOT NULL,
  `Zusatzstoffbezeichnung` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`E_Nummer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Zusatzstoff`
--

LOCK TABLES `Zusatzstoff` WRITE;
/*!40000 ALTER TABLE `Zusatzstoff` DISABLE KEYS */;
INSERT INTO `Zusatzstoff` VALUES ('E100','Kurkumin'),('E101','Riboflavin,Riboflavin-5-Phosphat'),('E102','Tartrazin'),('E104','Chinolingelb'),('E110','Gelborange S'),('E1103','Invertase'),('E1105','Lysozym'),('E120','Echtes Karmin'),('E1200','Polydextrose'),('E1201','Polyvinylpyrrolidon'),('E1202','Polyvinylpolypyrrolidon'),('E1203','Polyvinylalkohol (PVA)'),('E1204','Pullulan'),('E1205','Basisches Methacrylat-Copolymer'),('E1206','Neutrales Methacrylat-Copolymer'),('E1207','Anionisches Methacrylat-Copolymer'),('E1208','Polyvinylpyrrolidon-Vinylacetat-Copolymer'),('E1209','Polyvinyl alcohol-polyethylene glycol-graft-copolymer'),('E122','Azorubin'),('E123','Amaranth'),('E124','Cochenillerot A'),('E127','Erythrosin'),('E129','Allurarot AC'),('E131','Patentblau V'),('E132','Indigotin I'),('E133','Brillantblau FCF'),('E140','Chlorophylle, Chlorophylline'),('E1404','oxidierte Stärke'),('E141','Kupferkomplexe der Chlorophylle und Chlorophylline'),('E1410','chemisch modifizierte Stärken'),('E142','Grün S'),('E150','Zuckerkulör'),('E1505','Triethylcitrat'),('E151','Brillantschwarz BN'),('E1517','Glycerindiacetat'),('E1518','Glycerintriacetat'),('E1519','Benzylalkohol'),('E1520','1,2-Propandiol (Propylenglycol)'),('E1521','Polyethylenglycol'),('E153','Pflanzenkohle'),('E155','Braun HT'),('E160a','Carotin und Carotinoide'),('E160b','Annatto (Bixin,Norbixin)'),('E160c','Paprikaextrakt'),('E160d','Lycopin'),('E160e','Beta-apo-8\'-Carotinal'),('E161b','Lutein'),('E161g','Canthaxanthin'),('E162','Beetenrot,Betanin'),('E163','Anthocyane'),('E170','Calciumcarbonat'),('E171','Titandioxid'),('E172','Eisenoxide und Eisenhydroxide'),('E173','Aluminium'),('E174','Silber'),('E175','Gold'),('E180','Litholrubin BK'),('E200','Sorbinsäure und Sorbate'),('E210','Benzoesäure und Benzoate'),('E214','p-Hydroxybenzoesäureester (pHB-Ester)'),('E220','Schwefeldioxid und Sulfite'),('E234','Nisin'),('E235','Natamycin'),('E239','Hexamethylentetramin'),('E242','Dimethyldicarbonat'),('E243','Ethyllaurylarginat'),('E249','Nitrite'),('E251','Nitrate'),('E260','Essigsäure und Acetate'),('E270','Milchsäure'),('E280','Propionsäure und Propionate'),('E284','Borsäure und Natriumsalz'),('E290','Kohlendioxid'),('E296','Äpfelsäure'),('E297','Fumarsäure'),('E300','Ascorbinsäure und Ascorbate'),('E304','Ascorbinsäureester'),('E306','Tocopherole'),('E310','Gallate'),('E315','Isoascorbinsäure und Natriumsalz'),('E319','tert.-Butylhydrochinon (TBHQ)'),('E320','Butylhydroxyanisol (BHA)'),('E321','Butylhydroxytoluol (BHT)'),('E322','Lecithine'),('E325','Lactate'),('E330','Citronensäure und Citrate'),('E334','Weinsäure und Tartarte'),('E338','Phosphorsäure und Phosphate'),('E350','Malate'),('E353','Metaweinsäure'),('E354','Calciumtartrat'),('E355','Adipinsäure und Adipate'),('E363','Bernsteinsäure'),('E380','Triammoniumcitrat'),('E385','Calciumdinatrium-EDTA'),('E392','Extrakt aus Rosmarin'),('E400','Alginsäure und Alginate'),('E406','Agar-Agar'),('E407','Carrageen'),('E407a','Verarbeitete Eucheuma-Algen'),('E410','Johannisbrotkernmehl'),('E412','Guarkernmehl'),('E413','Traganth'),('E414','Gummi arabicum'),('E415','Xanthan'),('E416','Karayagummi'),('E417','Tarakernmehl'),('E418','Gellan'),('E420','Sorbit'),('E421','Mannit'),('E422','Glycerin'),('E423','Octenylbernsteinsäuremodifiziertes Gummi arabicum'),('E425','Konjak'),('E426','Sojabohnen-Polyose'),('E427','Cassia-Gummi'),('E431','Polyoxyethylen-(40)-stearat'),('E432','Polysorbate'),('E440','Pektine'),('E442','Ammoniumphosphadite'),('E444','Saccharoseacetatisobutyrat'),('E445','Glycerinester aus Wurzelharz'),('E450','Di-,Tri- und Polyphosphate'),('E459','Beta-Cyclodextrin'),('E460','Cellulosen'),('E470','Salze der Fettsäuren'),('E471','Mono- und Diglyceride von Fettsäuren'),('E472','Mono- und Diglyceriden von Speisefettsäuren verestert mit Genusssäuren'),('E473','Zuckerester von Speisefettsäuren'),('E474','Zuckerglyceride'),('E475','Polyglycerinester von Speisefettsäuren'),('E476','Polyglycerin-Polyricinoleat'),('E477','Propylenglycolester von Speisefettsäuren'),('E479b','Thermooxidiertes Sojaöl verestert mit Mono- und Diglyceriden von Fettsäuren'),('E481','Stearoyllactylate'),('E483','Stearyltartrat'),('E491','Sorbitanfettsäureester'),('E499','Stigmasterinreiche Phytosterine'),('E500','Carbonate'),('E507','Salzsäure und Chloride'),('E512','Zinnchlorid'),('E513','Schwefelsäure und Sulfate'),('E524','Hydroxide'),('E529','Oxide'),('E535','Ferrocyanide'),('E541','Saures Natriumaluminiumphosphat'),('E551','Siliciumdioxid und Silicate'),('E570','Fettsäuren'),('E574','Gluconsäure und Gluconate'),('E585','Eisenlactat'),('E586','4-Hexylresorcin'),('E620','Glutaminsäure und Glutamate'),('E626','Guanylsäure und Guanylate'),('E630','Inosinsäure und Inosinate'),('E634','Ribonucleotide'),('E640','Glycin und dessen Natriumsalz'),('E641','L-Leucin'),('E650','Zinkacetat'),('E900','Dimethylpolysiloxan'),('E901','Bienenwachs weiß und gelb'),('E902','Candelillawachs'),('E903','Carnaubawachs'),('E904','Schellack'),('E905','Mikrokristallines Wachs'),('E907','Hydriertes Poly-1-decen'),('E914','Polyethylenwachsoxidate'),('E920','L-Cystein'),('E927b','Carbamid'),('E938','Argon'),('E939','Helium'),('E941','Stickstoff'),('E942','Distickstoffmonoxid'),('E943','Butan,Isobutan'),('E944','Propan'),('E948','Sauerstoff'),('E949','Wasserstoff'),('E950','Acesulfam-K'),('E951','Aspartam'),('E952','Cyclamate'),('E953','Isomalt'),('E954','Saccharin'),('E955','Sucralose'),('E957','Thaumatin'),('E959','Neohesperidin DC'),('E960','Steviolglycoside'),('E961','Neotam'),('E962','Aspartam-Acesulfamsalz'),('E965','Maltit'),('E966','Lactit'),('E967','Xylit'),('E968','Erythrit'),('E969','Advantam'),('E999','Quillajaextrakt');
/*!40000 ALTER TABLE `Zusatzstoff` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Zusatzstoffklase`
--

DROP TABLE IF EXISTS `Zusatzstoffklase`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `Zusatzstoffklase` (
  `Anwendungsgrund` varchar(5) NOT NULL,
  `Anwendungsgrundbezeichnung` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`Anwendungsgrund`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Zusatzstoffklase`
--

LOCK TABLES `Zusatzstoffklase` WRITE;
/*!40000 ALTER TABLE `Zusatzstoffklase` DISABLE KEYS */;
INSERT INTO `Zusatzstoffklase` VALUES ('A','Antioxidationsmittel'),('B','Backtriebmittel'),('E','Emulgator'),('F','Farbstoff'),('FH','Feuchthaltemittel'),('FM','Festigungsmittel'),('FÜ','Füllstoff'),('G','Geliermittel'),('GV','Geschmacksverstärker'),('K','Konservierungsstoff'),('M','Mehlbehandlungsmittel'),('MS','Modifizierte Stärke'),('S','Säuerungsmittel'),('SCH','Schmelzsalz'),('SR','Säureregulator'),('ST','Stabilisator'),('SÜ','Süßungsmittel'),('SV','Schaumverhüter'),('T','Trägerstoff'),('TG','Treibgas'),('TM','Trennmittel'),('Ü','Überzugsmittel'),('V','Verdickungsmittel');
/*!40000 ALTER TABLE `Zusatzstoffklase` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Zusatzstoffunvertraeglichkeit`
--

DROP TABLE IF EXISTS `Zusatzstoffunvertraeglichkeit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `Zusatzstoffunvertraeglichkeit` (
  `PersonID` int NOT NULL,
  `E_Nummer` varchar(5) NOT NULL,
  PRIMARY KEY (`PersonID`,`E_Nummer`),
  KEY `E_Nummer` (`E_Nummer`),
  CONSTRAINT `Zusatzstoffunvertraeglichkeit_ibfk_1` FOREIGN KEY (`PersonID`) REFERENCES `Person` (`PersonID`),
  CONSTRAINT `Zusatzstoffunvertraeglichkeit_ibfk_2` FOREIGN KEY (`E_Nummer`) REFERENCES `Zusatzstoff` (`E_Nummer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Zusatzstoffunvertraeglichkeit`
--

LOCK TABLES `Zusatzstoffunvertraeglichkeit` WRITE;
/*!40000 ALTER TABLE `Zusatzstoffunvertraeglichkeit` DISABLE KEYS */;
INSERT INTO `Zusatzstoffunvertraeglichkeit` VALUES (1,'E172'),(1,'E175'),(2,'E175');
/*!40000 ALTER TABLE `Zusatzstoffunvertraeglichkeit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `enthaeltAllergen`
--

DROP TABLE IF EXISTS `enthaeltAllergen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `enthaeltAllergen` (
  `AllergenID` int NOT NULL,
  `ProduktID` int NOT NULL,
  PRIMARY KEY (`AllergenID`,`ProduktID`),
  KEY `ProduktID` (`ProduktID`),
  CONSTRAINT `enthaeltAllergen_ibfk_1` FOREIGN KEY (`AllergenID`) REFERENCES `Allergen` (`AllergenID`),
  CONSTRAINT `enthaeltAllergen_ibfk_2` FOREIGN KEY (`ProduktID`) REFERENCES `Produkt` (`ProduktID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `enthaeltAllergen`
--

LOCK TABLES `enthaeltAllergen` WRITE;
/*!40000 ALTER TABLE `enthaeltAllergen` DISABLE KEYS */;
INSERT INTO `enthaeltAllergen` VALUES (1,1),(12,2),(9,3),(10,3),(1,4),(3,4),(7,4),(10,4),(11,4),(1,5),(7,5),(10,5),(1,6),(9,6),(10,8),(1,9),(10,9),(1,10),(3,10),(7,10),(10,10),(11,10),(3,14),(10,14),(1,15),(3,15),(10,15),(11,15),(1,16),(3,16),(7,16),(1,17),(9,17),(10,17),(7,18),(7,19),(7,20),(1,21),(7,21),(1,22),(7,22),(1,24),(6,24),(9,24),(3,25),(10,25),(7,32);
/*!40000 ALTER TABLE `enthaeltAllergen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `enthaeltZusatzstoff`
--

DROP TABLE IF EXISTS `enthaeltZusatzstoff`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `enthaeltZusatzstoff` (
  `ProduktID` int NOT NULL,
  `E_Nummer` varchar(5) NOT NULL,
  `Anwendungsgrund` varchar(5) DEFAULT NULL,
  PRIMARY KEY (`ProduktID`,`E_Nummer`),
  KEY `E_Nummer` (`E_Nummer`),
  CONSTRAINT `enthaeltZusatzstoff_ibfk_1` FOREIGN KEY (`ProduktID`) REFERENCES `Produkt` (`ProduktID`),
  CONSTRAINT `enthaeltZusatzstoff_ibfk_2` FOREIGN KEY (`E_Nummer`) REFERENCES `Zusatzstoff` (`E_Nummer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `enthaeltZusatzstoff`
--

LOCK TABLES `enthaeltZusatzstoff` WRITE;
/*!40000 ALTER TABLE `enthaeltZusatzstoff` DISABLE KEYS */;
INSERT INTO `enthaeltZusatzstoff` VALUES (1,'E410','V'),(1,'E500','SR,B'),(2,'E500','SR,B'),(3,'E415','V'),(4,'E300','A,M'),(4,'E471','E,SV'),(4,'E481','E'),(5,'E330','S,SR'),(5,'E471','E,SV'),(5,'E481','E'),(6,'E450','A,B,S'),(6,'E500','SR,B'),(9,'E330','S,SR'),(9,'E471','E,SV'),(9,'E481','E'),(10,'E300','A,M'),(10,'E471','E,SV'),(10,'E481','E'),(12,'E330','S,SR'),(13,'E330','S,SR'),(15,'E300','A,M'),(15,'E471','E,SV'),(15,'E481','E'),(16,'E160a','F'),(16,'E412','V'),(16,'E471','E,SV'),(17,'E260','S,SR'),(17,'E471','E,SV'),(18,'E407','G'),(18,'E412','V'),(18,'E471','E,SV'),(19,'E407','G'),(19,'E412','V'),(19,'E471','E,SV'),(21,'E300','A,M'),(21,'E407','G'),(21,'E410','V'),(21,'E412','V'),(22,'E407','G'),(22,'E410','V'),(22,'E412','V'),(24,'E415','V'),(25,'E415','V');
/*!40000 ALTER TABLE `enthaeltZusatzstoff` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `konsumiert`
--

DROP TABLE IF EXISTS `konsumiert`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `konsumiert` (
  `TransaktionsID` int NOT NULL AUTO_INCREMENT,
  `PersonID` int DEFAULT NULL,
  `MenuID` int DEFAULT NULL,
  `Datum` datetime DEFAULT NULL,
  PRIMARY KEY (`TransaktionsID`),
  KEY `PersonID` (`PersonID`),
  KEY `MenuID` (`MenuID`),
  CONSTRAINT `konsumiert_ibfk_1` FOREIGN KEY (`PersonID`) REFERENCES `Person` (`PersonID`),
  CONSTRAINT `konsumiert_ibfk_2` FOREIGN KEY (`MenuID`) REFERENCES `Menu` (`MenuID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `konsumiert`
--

LOCK TABLES `konsumiert` WRITE;
/*!40000 ALTER TABLE `konsumiert` DISABLE KEYS */;
INSERT INTO `konsumiert` VALUES (1,1,1,'2022-05-17 11:33:18'),(2,2,2,'2022-05-17 11:33:18'),(3,1,2,'2022-05-17 11:33:18');
/*!40000 ALTER TABLE `konsumiert` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2022-05-17 11:42:05